Package ru.bitel.bgbilling.modules.voice.server.event

# Class VoiceAccountDeviceStateModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.modules.voice.server.event.VoiceAccountDeviceStateModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class VoiceAccountDeviceStateModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Событие о том, что текущее состояние аккаунта на устройстве изменилось и зафиксировано в БД.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccountDeviceStateModifiedEvent(int moduleId, int deviceId, int accountId, VoiceAccountState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `int`
  `getDeviceId()`
  `VoiceAccountState`
  `getState()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceAccountDeviceStateModifiedEvent

    public VoiceAccountDeviceStateModifiedEvent(int moduleId, int deviceId, int accountId, VoiceAccountState state)

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()

  - ### getAccountId

    public int getAccountId()

  - ### getState

    public VoiceAccountState getState()